ST_Z
Prev | 8.4. Geometry Accessors | Next

## Name

ST_Z — Returns the Z coordinate of a Point.

## Synopsis

`float ST_Z(`geometry a_point`)`;

## Description

Return the Z coordinate of the point, or NULL if not available. Input must be a point.

To get the minimum and maximum Z value of geometry coordinates use the functions ST_ZMin and ST_ZMax.

This method implements the SQL/MM specification.

This function supports 3d and will not drop the z-index.

## Examples

    SELECT ST_Z(ST_GeomFromEWKT('POINT(1 2 3 4)'));
     st_z
    ------
    	3
    (1 row)

## See Also

ST_GeomFromEWKT, ST_M, ST_X, ST_Y, ST_ZMax, ST_ZMin

Prev | Up | Next
ST_Y | Home | ST_Zmflag